Troubleshooting


Info

This is a non exhaustive list of common issues our users reported us in the past. If you need help please email us at support@sqreen.io or through our web chat. Please don't hesitate, we're here to help!

My Ruby app uses Miniracer

Sqreen for Ruby is relying on TheRubyRacer in order to execute some of the security plugins, written in JS. If you're app happen to rely on Miniracer, you won't be able to install Sqreen since they conflict between each other.

It's most likely that your app is relying on Miniracer to manage your app assets. In that case, both engines are completely compatible with each other. Swapping Miniracer for TheRubyRacer should not break your app, while allowing you to test Sqreen.

We're working on relying on Miniracer instead to remove this constraint.